function [residual, g1, g2] = borrcon_static(y, x, params)
%
% Status : Computes static model for Dynare
%
% Warning : this file is generated automatically by Dynare
%           from model file (.mod)

residual = zeros( 42, 1);

%
% Model equations
%

T17 = exp(y(12)+y(6)/params(48)-y(8));
T54 = (params(10)-1)/params(10);
T61 = params(5)*exp(y(9))^T54+(1-params(5))*exp(y(6))^T54;
T64 = exp(y(1))*T61^(params(10)/(params(10)-1));
T102 = exp(y(8))*.5*params(14)*(exp(y(3))-params(18))^2;
T119 = exp(y(1))*(1-params(5))/params(13);
T123 = 1/params(10);
T124 = exp(y(8)-y(6)-y(1))^T123;
T130 = exp(y(1))*params(5)/params(13);
T134 = exp(y(8)-y(9)-y(1))^T123;
T143 = (1-params(5))*(1-params(13))/params(13)*exp(y(1)-y(8));
T149 = exp(y(1)-y(8))*params(5)*(1-params(13))/params(13);
T181 = params(3)*exp(y(29))*(1-params(4)+params(22)*params(21)/(1-params(21))*exp(y(10)-y(9))^(1-params(21))+params(23));
T374 = getPowerDeriv(exp(y(8)-y(6)-y(1)),T123,1);
T376 = T119*(-exp(y(8)-y(6)-y(1)))*T374;
T381 = (-exp(y(8)-y(9)-y(1)))*getPowerDeriv(exp(y(8)-y(9)-y(1)),T123,1);
T382 = T130*T381;
T385 = T143*(-exp(y(8)-y(6)-y(1)))*T374;
T433 = getPowerDeriv(T61,params(10)/(params(10)-1),1);
T452 = exp(y(8)-y(9)-y(1))*getPowerDeriv(exp(y(8)-y(9)-y(1)),T123,1);
lhs =exp(y(28));
rhs =T17;
residual(1)= lhs-rhs;
lhs =exp(y(14))+exp(y(10))+y(20)+exp(y(12)+y(6));
rhs =exp(y(13))-exp(y(13)+y(5)+y(3))+exp(y(8));
residual(2)= lhs-rhs;
lhs =exp(y(9));
rhs =exp(y(10))+exp(y(9))*(1-params(4));
residual(3)= lhs-rhs;
lhs =exp(y(8));
rhs =T64;
residual(4)= lhs-rhs;
lhs =exp(y(13))+exp(y(12)+y(6))*params(19);
rhs =(1-params(20))*(1-params(25))*exp(y(13)+y(3))+params(20)*exp(y(9)+y(3)+y(29)-y(16)+y(2));
residual(5)= lhs-rhs;
lhs =exp(y(12)+y(3)-y(12));
rhs =exp(y(4));
residual(6)= lhs-rhs;
lhs =y(20);
rhs =T102;
residual(7)= lhs-rhs;
lhs =y(21);
rhs =exp(y(8))*params(14)*(exp(y(3))-params(18));
residual(8)= lhs-rhs;
lhs =y(22);
rhs =(exp(y(3))-params(18))*(-params(14))*exp(y(8)+y(3));
residual(9)= lhs-rhs;
lhs =exp(y(11));
rhs =T119*T124;
residual(10)= lhs-rhs;
lhs =exp(y(7));
rhs =T130*T134;
residual(11)= lhs-rhs;
lhs =y(24);
rhs =T124*T143;
residual(12)= lhs-rhs;
lhs =y(25);
rhs =T134*T149;
residual(13)= lhs-rhs;
lhs =exp(y(16));
rhs =params(3)*exp(y(5)+y(16)-y(3))+exp(y(19))-(1-params(20))*(1-params(25))*params(3)*exp(y(19)-y(3));
residual(14)= lhs-rhs;
lhs =exp(y(29));
rhs =T181+exp(y(16))*exp(y(7))*params(3)+params(20)*exp(y(19)+y(29)+y(3)+y(2)-y(16))+y(25)*params(3)*y(23);
residual(15)= lhs-rhs;
lhs =exp(y(16));
rhs =exp(y(29));
residual(16)= lhs-rhs;
lhs =exp(y(16)+y(11));
rhs =exp(y(12)+y(16))+params(19)*exp(y(12)+y(19))+y(24)*y(23);
residual(17)= lhs-rhs;
lhs =y(23);
rhs =y(21)*exp(y(3)+y(16))+exp(y(16))*y(22)*params(3);
residual(18)= lhs-rhs;
lhs =exp(y(13))+exp(y(15));
rhs =exp(y(12)+y(6))+exp(y(13)+y(5)+y(3));
residual(19)= lhs-rhs;
lhs =exp(y(17));
rhs =params(2)*exp(y(17)+y(5)-y(3));
residual(20)= lhs-rhs;
lhs =exp(y(18));
rhs =params(1)*exp(y(6)/params(48)+y(15));
residual(21)= lhs-rhs;
lhs =y(18);
rhs =y(12);
residual(22)= lhs-rhs;
lhs =y(26);
rhs =0.25*log(params(18)/params(2))+y(26)*.75+0.0625*(1.67*(y(3)+y(3)+y(30)+y(31)-4*log(params(18)))+.25*(y(8)-y(34)));
residual(23)= lhs-rhs;
lhs =y(5);
rhs =y(26);
residual(24)= lhs-rhs;
lhs =y(1);
rhs =x(1)+y(1)*params(27)+params(32)*(y(2)-log(params(9)))+params(28)*y(35)+params(33)*(y(36)-log(params(9)))+params(29)*y(37)+params(34)*(y(38)-log(params(9)))+params(30)*y(39)+params(35)*(y(40)-log(params(9)))+params(31)*y(41)+params(36)*(y(42)-log(params(9)));
residual(25)= lhs-rhs;
lhs =y(2)-log(params(9));
rhs =x(2)+(y(2)-log(params(9)))*params(37)+y(1)*params(42)+(y(36)-log(params(9)))*params(38)+y(35)*params(43)+(y(38)-log(params(9)))*params(39)+y(37)*params(44)+(y(40)-log(params(9)))*params(40)+y(39)*params(45)+(y(42)-log(params(9)))*params(41)+y(41)*params(46);
residual(26)= lhs-rhs;
lhs =exp(y(27));
rhs =exp(y(14))+exp(y(15));
residual(27)= lhs-rhs;
lhs =y(16);
rhs =(-y(14));
residual(28)= lhs-rhs;
lhs =y(17);
rhs =(-y(15));
residual(29)= lhs-rhs;
lhs =y(30);
rhs =y(3);
residual(30)= lhs-rhs;
lhs =y(31);
rhs =y(30);
residual(31)= lhs-rhs;
lhs =y(32);
rhs =y(8);
residual(32)= lhs-rhs;
lhs =y(33);
rhs =y(32);
residual(33)= lhs-rhs;
lhs =y(34);
rhs =y(33);
residual(34)= lhs-rhs;
lhs =y(35);
rhs =y(1);
residual(35)= lhs-rhs;
lhs =y(36);
rhs =y(2);
residual(36)= lhs-rhs;
lhs =y(37);
rhs =y(35);
residual(37)= lhs-rhs;
lhs =y(38);
rhs =y(36);
residual(38)= lhs-rhs;
lhs =y(39);
rhs =y(37);
residual(39)= lhs-rhs;
lhs =y(40);
rhs =y(38);
residual(40)= lhs-rhs;
lhs =y(41);
rhs =y(39);
residual(41)= lhs-rhs;
lhs =y(42);
rhs =y(40);
residual(42)= lhs-rhs;
if ~isreal(residual)
  residual = real(residual)+imag(residual).^2;
end
if nargout >= 2,
  g1 = zeros(42, 42);

  %
  % Jacobian matrix
  %

  g1(1,6)=(-(T17*1/params(48)));
  g1(1,8)=T17;
  g1(1,12)=(-T17);
  g1(1,28)=exp(y(28));
  g1(2,3)=exp(y(13)+y(5)+y(3));
  g1(2,5)=exp(y(13)+y(5)+y(3));
  g1(2,6)=exp(y(12)+y(6));
  g1(2,8)=(-exp(y(8)));
  g1(2,10)=exp(y(10));
  g1(2,12)=exp(y(12)+y(6));
  g1(2,13)=(-(exp(y(13))-exp(y(13)+y(5)+y(3))));
  g1(2,14)=exp(y(14));
  g1(2,20)=1;
  g1(3,9)=exp(y(9))-exp(y(9))*(1-params(4));
  g1(3,10)=(-exp(y(10)));
  g1(4,1)=(-T64);
  g1(4,6)=(-(exp(y(1))*(1-params(5))*exp(y(6))*getPowerDeriv(exp(y(6)),T54,1)*T433));
  g1(4,8)=exp(y(8));
  g1(4,9)=(-(exp(y(1))*T433*params(5)*exp(y(9))*getPowerDeriv(exp(y(9)),T54,1)));
  g1(5,2)=(-(params(20)*exp(y(9)+y(3)+y(29)-y(16)+y(2))));
  g1(5,3)=(-((1-params(20))*(1-params(25))*exp(y(13)+y(3))+params(20)*exp(y(9)+y(3)+y(29)-y(16)+y(2))));
  g1(5,6)=exp(y(12)+y(6))*params(19);
  g1(5,9)=(-(params(20)*exp(y(9)+y(3)+y(29)-y(16)+y(2))));
  g1(5,12)=exp(y(12)+y(6))*params(19);
  g1(5,13)=exp(y(13))-(1-params(20))*(1-params(25))*exp(y(13)+y(3));
  g1(5,16)=(-(params(20)*(-exp(y(9)+y(3)+y(29)-y(16)+y(2)))));
  g1(5,29)=(-(params(20)*exp(y(9)+y(3)+y(29)-y(16)+y(2))));
  g1(6,3)=exp(y(12)+y(3)-y(12));
  g1(6,4)=(-exp(y(4)));
  g1(7,3)=(-(exp(y(8))*.5*params(14)*exp(y(3))*2*(exp(y(3))-params(18))));
  g1(7,8)=(-T102);
  g1(7,20)=1;
  g1(8,3)=(-(exp(y(8))*params(14)*exp(y(3))));
  g1(8,8)=(-(exp(y(8))*params(14)*(exp(y(3))-params(18))));
  g1(8,21)=1;
  g1(9,3)=(-((exp(y(3))-params(18))*(-params(14))*exp(y(8)+y(3))+exp(y(8)+y(3))*exp(y(3))*(-params(14))));
  g1(9,8)=(-((exp(y(3))-params(18))*(-params(14))*exp(y(8)+y(3))));
  g1(9,22)=1;
  g1(10,1)=(-(T119*T124+T376));
  g1(10,6)=(-T376);
  g1(10,8)=(-(T119*exp(y(8)-y(6)-y(1))*T374));
  g1(10,11)=exp(y(11));
  g1(11,1)=(-(T130*T134+T382));
  g1(11,7)=exp(y(7));
  g1(11,8)=(-(T130*T452));
  g1(11,9)=(-T382);
  g1(12,1)=(-(T124*T143+T385));
  g1(12,6)=(-T385);
  g1(12,8)=(-(T143*exp(y(8)-y(6)-y(1))*T374+T124*(1-params(5))*(1-params(13))/params(13)*(-exp(y(1)-y(8)))));
  g1(12,24)=1;
  g1(13,1)=(-(T134*T149+T149*T381));
  g1(13,8)=(-(T149*T452+T134*params(5)*(1-params(13))/params(13)*(-exp(y(1)-y(8)))));
  g1(13,9)=(-(T149*T381));
  g1(13,25)=1;
  g1(14,3)=(-(params(3)*(-exp(y(5)+y(16)-y(3)))-(1-params(20))*(1-params(25))*params(3)*(-exp(y(19)-y(3)))));
  g1(14,5)=(-(params(3)*exp(y(5)+y(16)-y(3))));
  g1(14,16)=exp(y(16))-params(3)*exp(y(5)+y(16)-y(3));
  g1(14,19)=(-(exp(y(19))-(1-params(20))*(1-params(25))*params(3)*exp(y(19)-y(3))));
  g1(15,2)=(-(params(20)*exp(y(19)+y(29)+y(3)+y(2)-y(16))));
  g1(15,3)=(-(params(20)*exp(y(19)+y(29)+y(3)+y(2)-y(16))));
  g1(15,7)=(-(exp(y(16))*exp(y(7))*params(3)));
  g1(15,9)=(-(params(3)*exp(y(29))*params(22)*params(21)/(1-params(21))*(-exp(y(10)-y(9)))*getPowerDeriv(exp(y(10)-y(9)),1-params(21),1)));
  g1(15,10)=(-(params(3)*exp(y(29))*params(22)*params(21)/(1-params(21))*exp(y(10)-y(9))*getPowerDeriv(exp(y(10)-y(9)),1-params(21),1)));
  g1(15,16)=(-(exp(y(16))*exp(y(7))*params(3)+params(20)*(-exp(y(19)+y(29)+y(3)+y(2)-y(16)))));
  g1(15,19)=(-(params(20)*exp(y(19)+y(29)+y(3)+y(2)-y(16))));
  g1(15,23)=(-(y(25)*params(3)));
  g1(15,25)=(-(params(3)*y(23)));
  g1(15,29)=exp(y(29))-(T181+params(20)*exp(y(19)+y(29)+y(3)+y(2)-y(16)));
  g1(16,16)=exp(y(16));
  g1(16,29)=(-exp(y(29)));
  g1(17,11)=exp(y(16)+y(11));
  g1(17,12)=(-(exp(y(12)+y(16))+params(19)*exp(y(12)+y(19))));
  g1(17,16)=exp(y(16)+y(11))-exp(y(12)+y(16));
  g1(17,19)=(-(params(19)*exp(y(12)+y(19))));
  g1(17,23)=(-y(24));
  g1(17,24)=(-y(23));
  g1(18,3)=(-(y(21)*exp(y(3)+y(16))));
  g1(18,16)=(-(y(21)*exp(y(3)+y(16))+exp(y(16))*y(22)*params(3)));
  g1(18,21)=(-exp(y(3)+y(16)));
  g1(18,22)=(-(exp(y(16))*params(3)));
  g1(18,23)=1;
  g1(19,3)=(-exp(y(13)+y(5)+y(3)));
  g1(19,5)=(-exp(y(13)+y(5)+y(3)));
  g1(19,6)=(-exp(y(12)+y(6)));
  g1(19,12)=(-exp(y(12)+y(6)));
  g1(19,13)=exp(y(13))-exp(y(13)+y(5)+y(3));
  g1(19,15)=exp(y(15));
  g1(20,3)=(-(params(2)*(-exp(y(17)+y(5)-y(3)))));
  g1(20,5)=(-(params(2)*exp(y(17)+y(5)-y(3))));
  g1(20,17)=exp(y(17))-params(2)*exp(y(17)+y(5)-y(3));
  g1(21,6)=(-(params(1)*exp(y(6)/params(48)+y(15))*1/params(48)));
  g1(21,15)=(-(params(1)*exp(y(6)/params(48)+y(15))));
  g1(21,18)=exp(y(18));
  g1(22,12)=(-1);
  g1(22,18)=1;
  g1(23,3)=(-0.20875);
  g1(23,8)=(-0.015625);
  g1(23,26)=0.25;
  g1(23,30)=(-0.104375);
  g1(23,31)=(-0.104375);
  g1(23,34)=0.015625;
  g1(24,5)=1;
  g1(24,26)=(-1);
  g1(25,1)=1-params(27);
  g1(25,2)=(-params(32));
  g1(25,35)=(-params(28));
  g1(25,36)=(-params(33));
  g1(25,37)=(-params(29));
  g1(25,38)=(-params(34));
  g1(25,39)=(-params(30));
  g1(25,40)=(-params(35));
  g1(25,41)=(-params(31));
  g1(25,42)=(-params(36));
  g1(26,1)=(-params(42));
  g1(26,2)=1-params(37);
  g1(26,35)=(-params(43));
  g1(26,36)=(-params(38));
  g1(26,37)=(-params(44));
  g1(26,38)=(-params(39));
  g1(26,39)=(-params(45));
  g1(26,40)=(-params(40));
  g1(26,41)=(-params(46));
  g1(26,42)=(-params(41));
  g1(27,14)=(-exp(y(14)));
  g1(27,15)=(-exp(y(15)));
  g1(27,27)=exp(y(27));
  g1(28,14)=1;
  g1(28,16)=1;
  g1(29,15)=1;
  g1(29,17)=1;
  g1(30,3)=(-1);
  g1(30,30)=1;
  g1(31,30)=(-1);
  g1(31,31)=1;
  g1(32,8)=(-1);
  g1(32,32)=1;
  g1(33,32)=(-1);
  g1(33,33)=1;
  g1(34,33)=(-1);
  g1(34,34)=1;
  g1(35,1)=(-1);
  g1(35,35)=1;
  g1(36,2)=(-1);
  g1(36,36)=1;
  g1(37,35)=(-1);
  g1(37,37)=1;
  g1(38,36)=(-1);
  g1(38,38)=1;
  g1(39,37)=(-1);
  g1(39,39)=1;
  g1(40,38)=(-1);
  g1(40,40)=1;
  g1(41,39)=(-1);
  g1(41,41)=1;
  g1(42,40)=(-1);
  g1(42,42)=1;
  if ~isreal(g1)
    g1 = real(g1)+2*imag(g1);
  end
end
if nargout >= 3,
  %
  % Hessian matrix
  %

  g2 = sparse([],[],[],42,1764);
end
end
