
function [ys,check]=borrcon_steadystate(junk,ys);

global M_
load PARAM_DNWR ALPHA BETA GAMMA DELTA PHI SS OMEGA THETA MKBAR SIGMA Y K ETA PSI RHOA A1 A2 PIBAR WC RHOB NU B1 B2...
    W AB ZETA RHO_Z1 RHO_Z2 RHO_Z3 RHO_Z4 RHO_Z5 RHOS_Z1 RHOS_Z2 RHOS_Z3 RHOS_Z4 RHOS_Z5...
    RHO_M1 RHO_M2 RHO_M3 RHO_M4 RHO_M5 RHOS_M1 RHOS_M2 RHOS_M3 RHOS_M4 RHOS_M5 KAPPA CHI;

%THETAW EPSW CHI;

nparams = size(M_.param_names,1);
for icount = 1:nparams
    eval(['M_.params(icount) = ',M_.param_names(icount,:),';'])
end

check=0;

z     = 0;
mk    = log(MKBAR);
Pi    = log(PIBAR);
Piw   = Pi;
R     = Pi-log(BETA);
n     = log(0.3);
fk    = log((1-MKBAR*exp(Pi)*(1-GAMMA/BETA)*RHOB/(1-(1-RHOB)*(1-AB)*GAMMA/exp(Pi))-GAMMA*(1-DELTA))/GAMMA);
y     = Y;
k     = K;
x     = log(DELTA)+k;
fn    = log(1-PHI)+(y-n)/SIGMA-log(ETA);
wp    = fn+log(1/(1+WC*(1-GAMMA/BETA)/(1-(1-RHOB)*(1-AB)*GAMMA/exp(Pi))));
bp    = log((RHOB*MKBAR*exp(Pi)*exp(k)-WC*exp(wp+n))/(1-(1-RHOB)*(1-AB)*exp(Pi)));
ce    = log(exp(y)+(1-exp(R+Pi))*exp(bp)-exp(x)-exp(wp+n));
ch    = log((exp(R+Pi)-1)*exp(bp)+exp(wp+n));
gammae=-ce+log(1-GAMMA*ZETA)-log(1-ZETA);
gammah=-ch+log(1-BETA*ZETA)-log(1-ZETA);
mrs   = wp;
mu    = log((1-GAMMA/BETA)/(1-GAMMA*(1-RHOB)*(1-AB)/exp(Pi))*exp(gammae));
p     = 0;
g     = 0;
g1    = 0;
g2    = 0;
chi   = 0;
dn    = (1-PHI)*(1-ETA)/ETA*exp(z-y)*exp(y-n-z)^(1/SIGMA);                                            %10
dk    = PHI*(1-ETA)/ETA*exp(z-y)*exp(y-k-z)^(1/SIGMA);        
trule = R;
c     = log(exp(ce)+exp(ch));
ls    = wp+n/CHI-y;
q     = gammae;

ys = [ z
mk
Pi
Piw
R
n
fk
y
k
x
fn
wp
bp
ce
ch
gammae
gammah
mrs
mu
g
g1
g2
chi
dn
dk
trule
c
ls
q
] ;
