%% SIMULATION WITH OCCBIN
 constraint = 'Piw<-log(PIBAR)';
 constraint_relax ='wp<mrs';

 % Pick innovation for IRFs
irfshock =[char('em'); char('ez') ];      
shockssequence = zeros(T-p-1-4,2);


if irf_fs_switch==1;
    shockssequence(1,1)=-2*std_efs;
elseif irf_tfp_switch==1;
    shockssequence(1,2)=-2*std_etfp;
else
    shockssequence(1:T-p-1-4,1) = efs;
    shockssequence(1:T-p-1-4,2) = etfp;
end

maxiter = 40;
nperiods = T-p-1-4;

save PARAM_DNWR ALPHA BETA GAMMA DELTA PHI SS OMEGA THETA MKBAR SIGMA Y K ETA PSI RHOA A1 A2 PIBAR WC RHOB NU B1 B2...
   W AB ZETA RHO_Z1 RHO_Z2 RHO_Z3 RHO_Z4 RHO_Z5 RHOS_Z1 RHOS_Z2 RHOS_Z3 RHOS_Z4 RHOS_Z5...
  RHO_M1 RHO_M2 RHO_M3 RHO_M4 RHO_M5 RHOS_M1 RHOS_M2 RHOS_M3 RHOS_M4 RHOS_M5 KAPPA CHI;
clear results

[zdatalinear zdatapiecewise zdatass oobase_ Mbase_  ] = ...
 solve_one_constraint(modnam,modnamstar,...
 constraint, constraint_relax,...
 shockssequence,irfshock,nperiods,maxiter);

% unpack the IRFs
for i=1:Mbase_.endo_nbr
  eval([deblank(Mbase_.endo_names(i,:)),'_l=zdatalinear(:,i);']);
  eval([deblank(Mbase_.endo_names(i,:)),'_p=zdatapiecewise(:,i);']);
  eval([deblank(Mbase_.endo_names(i,:)),'_ss=zdatass(i);']);
end