

pre1984_data  = xlsread('data_dnwr.xlsx','pre1984_data');
pre_data_dnwr = pre1984_data(1:148,1:5);

%start in 1984 (add 5)
lsy=lsy(6:end,:); lsn=lsn(6:end,:); lsnresi=lsnresi(6:end,:); lsc=lsc(6:end,:);

for i=1:T-4-5;
e_gy(i,:)=exp(lsy(i+4,:))/exp(lsy(i,:))-1;
e_gn(i,:)=exp(lsn(i+4,:))/exp(lsn(i,:))-1;
e_gx(i,:)=exp(lsnresi(i+4,:))/exp(lsnresi(i,:))-1;
e_gc(i,:)=exp(lsc(i+4,:))/exp(lsc(i,:))-1;
end;

endpers=(2007.5-1982.75)*4-p-1-4;

%Hamilton filtered series
hlsy  = regcyc(lsy);
hlsy  = hlsy(~isnan(hlsy));
[skewhy testhy sehy pvalhy]=BaiNgTest(hlsy);
hlsy2 = regcyc(lsy(1:endpers));
hlsy2 = hlsy2(~isnan(hlsy2));
[skewhy2 testhy2 sehy2 pvalhy2]=BaiNgTest(hlsy2);
hlsn  = regcyc(lsn);
hlsn  = hlsn(~isnan(hlsn));
[skewhn testhn sehn pvalhn]=BaiNgTest(hlsn);
hlsn2 = regcyc(lsn(1:endpers));
hlsn2 = hlsn2(~isnan(hlsn2));
[skewhn2 testhn2 sehn2 pvalhn2]=BaiNgTest(hlsn2);
hlsx  = regcyc(lsnresi);
hlsx  = hlsx(~isnan(hlsx));
[skewhx testhx sehx pvalhx]=BaiNgTest(hlsx);
hlsx2 = regcyc(lsnresi(1:endpers));
hlsx2 = hlsx2(~isnan(hlsx2));
[skewhx2 testhx2 sehx2 pvalhx2]=BaiNgTest(hlsx2);
hlsc  = regcyc(lsc);
hlsc  = hlsc(~isnan(hlsc));
[skewhc testhc sehc pvalhc]=BaiNgTest(hlsc);
hlsc2 = regcyc(lsc(1:endpers));
hlsc2 = hlsc2(~isnan(hlsc2));
[skewhc2 testhc2 sehc2 pvalhc2]=BaiNgTest(hlsc2);

lsy47   = log(pre_data_dnwr(:,1)./pre_data_dnwr(:,2));
lsy47   = lsy47(~isnan(lsy47));
hlsy47  = regcyc(lsy47);
hlsy47  = hlsy47(~isnan(hlsy47));
[skewhy47 testhy47 sehy47 pvalhy47]=BaiNgTest(hlsy47);

lsc47   = log(pre_data_dnwr(:,3));
lsc47   = lsc47(~isnan(lsc47));
hlsc47  = regcyc(lsc47);
hlsc47  = hlsc47(~isnan(hlsc47));
[skewhc47 testhc47 sehc47 pvalhc47]=BaiNgTest(hlsc47);

lsx47   = log(pre_data_dnwr(:,4));
lsx47   = lsx47(~isnan(lsx47));
hlsx47  = regcyc(lsx47);
hlsx47  = hlsx47(~isnan(hlsx47));
[skewhx47 testhx47 sehx47 pvalhx47]=BaiNgTest(hlsx47);

lsn47   = log(pre_data_dnwr(:,5));
lsn47   = lsn47(~isnan(lsn47));
hlsn47  = regcyc(lsn47);
hlsn47  = hlsn47(~isnan(hlsn47));
[skewhn47 testhn47 sehn47 pvalhn47]=BaiNgTest(hlsn47);

for i=1:length(lsy47)-4;
    e_gy47(i,:)=exp(lsy47(i+4,:))/exp(lsy47(i,:))-1;
    e_gx47(i,:)=exp(lsx47(i+4,:))/exp(lsx47(i,:))-1;
    e_gc47(i,:)=exp(lsc47(i+4,:))/exp(lsc47(i,:))-1;
end;

for i=1:length(lsn47)-4;
    e_gn47(i,:)=exp(lsn47(i+4,:))/exp(lsn47(i,:))-1;
end;


[skewgy testgy segy pvalgy]=BaiNgTest(e_gy);
[skewgy2 testgy2 segy2 pvalgy2]=BaiNgTest(e_gy(1:endpers));
[skewgy47 testgy47 segy47 pvalgy47]=BaiNgTest(e_gy47);
[skewgn testgn segn pvalgn]=BaiNgTest(e_gn);
[skewgn2 testgn2 segn2 pvalgn2]=BaiNgTest(e_gn(1:endpers));
[skewgn47 testgn47 segn47 pvalgn47]=BaiNgTest(e_gn47);
[skewgx testgx segx pvalgx]=BaiNgTest(e_gx);
[skewgx2 testgx2 segx2 pvalgx2]=BaiNgTest(e_gx(1:endpers));
[skewgx47 testgx47 segx47 pvalgx47]=BaiNgTest(e_gx47);
[skewgc testgc segc pvalgc]=BaiNgTest(e_gc);
[skewgc2 testgc2 segc2 pvalgc2]=BaiNgTest(e_gc(1:endpers));
[skewgc47 testgc47 segc47 pvalgc47]=BaiNgTest(e_gc47);


disp('%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% Table 1 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%')
e_skew=[skewhy47 skewhy2 skewhy skewgy47 skewgy2 skewgy;
        pvalhy47 pvalhy2 pvalhy pvalgy47 pvalgy2 pvalgy;
        skewhn47 skewhn2 skewhn skewgn47 skewgn2 skewgn;
        pvalhn47 pvalhn2 pvalhn pvalgn47   pvalgn2 pvalgn;
        skewhx47 skewhx2 skewhx skewgx47   skewgx2 skewgx;
        pvalhx47 pvalhx2 pvalhx pvalgx47   pvalgx2 pvalgx;
        skewhc47 skewhc2 skewhc skewgc47   skewgc2 skewgc;
        pvalhc47 pvalhc2 pvalhc pvalgc47   pvalgc2 pvalgc;]

save e_skew e_skew
    
disp('Press any key to continue')
pause;
