clear all
global M_ oo_
modnam = 'borrcon';
modnamstar = 'borrcon_dnwr';

irf_fs_switch  = 0;
irf_tfp_switch = 0;

fixed_param
SIGMA   = 0.7;
PIBAR   = 1.005;
MKBAR   = ((1-(1-RHOB)*(1-AB))*3.69+.6092)/RHOB/PIBAR/6.9243;
CHI     = 1;

for ii=1:3;
    piibar=[1.005 1.0075 1.015];
    PIBAR=piibar(ii);
     
compute_ss
shocks_borrcon
simul_results
deep_steep

t_skew_pi(:,ii)=[skewhyp; pvalhyp; skewhnp; pvalhnp; skewhxp; pvalhxp; skewhcp; pvalhcp; Inf; Inf;
             skewgyp; pvalgyp; skewgnp; pvalgnp; skewgxp; pvalgxp; skewgcp; pvalgcp];
end
   
load e_skew e_skew
e_skew=[e_skew(:,3); Inf; Inf; e_skew(:,6)];
load t_skew_cd t_skew_cd
t_skew_cd=[t_skew_cd(:,1); Inf; Inf; t_skew_cd(:,2)];

 %% TABLE E2
disp('%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% Table E2 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%')
t_skew_tableE2=[e_skew t_skew_pi t_skew_cd]    %p-values shown on even-numbered row
