function [residual, g1, g2, g3] = borrcon_dynamic(y, x, params, steady_state, it_)
%
% Status : Computes dynamic model for Dynare
%
% Warning : this file is generated automatically by Dynare
%           from model file (.mod)

%
% Model equations
%

residual = zeros(42, 1);
T17 = exp(y(35)+y(29)/params(48)-y(31));
T56 = 1-params(47)/2*(exp(y(33)-y(7))-1)^2;
T65 = (params(10)-1)/params(10);
T72 = params(5)*exp(y(6))^T65+(1-params(5))*exp(y(29))^T65;
T75 = exp(y(24))*T72^(params(10)/(params(10)-1));
T115 = exp(y(31))*.5*params(14)*(exp(y(26))-params(18))^2;
T132 = exp(y(24))*(1-params(5))/params(13);
T136 = 1/params(10);
T137 = exp(y(31)-y(29)-y(24))^T136;
T143 = exp(y(24))*params(5)/params(13);
T147 = exp(y(31)-y(6)-y(24))^T136;
T156 = (1-params(5))*(1-params(13))/params(13)*exp(y(24)-y(31));
T162 = exp(y(24)-y(31))*params(5)*(1-params(13))/params(13);
T200 = params(3)*exp(y(75))*(1-params(4)+params(22)*params(21)/(1-params(21))*exp(y(68)-y(32))^(1-params(21))+params(23));
T500 = getPowerDeriv(exp(y(31)-y(29)-y(24)),T136,1);
T502 = T132*(-exp(y(31)-y(29)-y(24)))*T500;
T507 = (-exp(y(31)-y(6)-y(24)))*getPowerDeriv(exp(y(31)-y(6)-y(24)),T136,1);
T508 = T143*T507;
T511 = T156*(-exp(y(31)-y(29)-y(24)))*T500;
T556 = getPowerDeriv(T72,params(10)/(params(10)-1),1);
T575 = exp(y(31)-y(6)-y(24))*getPowerDeriv(exp(y(31)-y(6)-y(24)),T136,1);
T610 = (-(params(47)/2*(-exp(y(33)-y(7)))*2*(exp(y(33)-y(7))-1)));
T622 = (-(params(47)/2*exp(y(33)-y(7))*2*(exp(y(33)-y(7))-1)));
lhs =exp(y(51));
rhs =T17;
residual(1)= lhs-rhs;
lhs =exp(y(37))+exp(y(33))+y(43)+exp(y(35)+y(29));
rhs =exp(y(36))-exp(y(4)+y(9)+y(26))+exp(y(31));
residual(2)= lhs-rhs;
lhs =exp(y(32));
rhs =(1-params(4))*exp(y(6))+exp(y(33))*T56;
residual(3)= lhs-rhs;
lhs =exp(y(31));
rhs =T75;
residual(4)= lhs-rhs;
lhs =exp(y(36))+exp(y(35)+y(29))*params(19);
rhs =(1-params(20))*(1-params(25))*exp(y(9)+y(26))+params(20)*exp(y(32)+y(66)+y(75)-y(69)+y(25));
residual(5)= lhs-rhs;
lhs =exp(y(35)+y(26)-y(8));
rhs =exp(y(27));
residual(6)= lhs-rhs;
lhs =y(43);
rhs =T115;
residual(7)= lhs-rhs;
lhs =y(44);
rhs =exp(y(31))*params(14)*(exp(y(26))-params(18));
residual(8)= lhs-rhs;
lhs =y(45);
rhs =(exp(y(26))-params(18))*(-params(14))*exp(y(31)+y(26));
residual(9)= lhs-rhs;
lhs =exp(y(34));
rhs =T132*T137;
residual(10)= lhs-rhs;
lhs =exp(y(30));
rhs =T143*T147;
residual(11)= lhs-rhs;
lhs =y(47);
rhs =T137*T156;
residual(12)= lhs-rhs;
lhs =y(48);
rhs =T147*T162;
residual(13)= lhs-rhs;
lhs =exp(y(39));
rhs =params(3)*exp(y(69)+y(28)-y(66))+exp(y(42))-(1-params(20))*(1-params(25))*params(3)*exp(y(71)-y(66));
residual(14)= lhs-rhs;
lhs =exp(y(52));
rhs =T200+params(3)*exp(y(67))*exp(y(69))+params(20)*exp(y(42)+y(75)+y(66)+y(25)-y(69))+params(3)*y(73)*y(74);
residual(15)= lhs-rhs;
lhs =exp(y(39));
rhs =exp(y(52))*(T56-exp(y(33)-y(7))*params(47)*(exp(y(33)-y(7))-1))+exp(y(68)-y(33))*params(47)*params(3)*exp(y(75)+y(68))*(exp(y(68)-y(33))-1);
residual(16)= lhs-rhs;
lhs =exp(y(34)+y(39));
rhs =exp(y(35)+y(39))+params(19)*exp(y(35)+y(42))+y(47)*y(46);
residual(17)= lhs-rhs;
lhs =y(46);
rhs =y(44)*exp(y(26)+y(39))+exp(y(69))*params(3)*y(72);
residual(18)= lhs-rhs;
lhs =exp(y(36))+exp(y(38));
rhs =exp(y(35)+y(29))+exp(y(4)+y(9)+y(26));
residual(19)= lhs-rhs;
lhs =exp(y(40));
rhs =params(2)*exp(y(28)-y(66)+y(70));
residual(20)= lhs-rhs;
lhs =exp(y(41));
rhs =params(1)*exp(y(29)/params(48)+y(38));
residual(21)= lhs-rhs;
lhs =y(41);
rhs =y(35);
residual(22)= lhs-rhs;
lhs =y(49);
rhs =0.25*log(params(18)/params(2))+.75*y(10)+0.0625*(1.67*(y(26)+y(3)+y(11)+y(12)-4*log(params(18)))+.25*(y(31)-y(15)));
residual(23)= lhs-rhs;
lhs =y(28);
rhs =y(49);
residual(24)= lhs-rhs;
lhs =y(24);
rhs =x(it_, 1)+params(27)*y(1)+params(32)*(y(2)-log(params(9)))+params(28)*y(16)+params(33)*(y(17)-log(params(9)))+params(29)*y(18)+params(34)*(y(19)-log(params(9)))+params(30)*y(20)+params(35)*(y(21)-log(params(9)))+params(31)*y(22)+params(36)*(y(23)-log(params(9)));
residual(25)= lhs-rhs;
lhs =y(25)-log(params(9));
rhs =x(it_, 2)+(y(2)-log(params(9)))*params(37)+y(1)*params(42)+params(38)*(y(17)-log(params(9)))+params(43)*y(16)+params(39)*(y(19)-log(params(9)))+params(44)*y(18)+params(40)*(y(21)-log(params(9)))+params(45)*y(20)+params(41)*(y(23)-log(params(9)))+params(46)*y(22);
residual(26)= lhs-rhs;
lhs =exp(y(50));
rhs =exp(y(37))+exp(y(38));
residual(27)= lhs-rhs;
lhs =y(39);
rhs =(-y(37));
residual(28)= lhs-rhs;
lhs =y(40);
rhs =(-y(38));
residual(29)= lhs-rhs;
lhs =y(53);
rhs =y(3);
residual(30)= lhs-rhs;
lhs =y(54);
rhs =y(11);
residual(31)= lhs-rhs;
lhs =y(55);
rhs =y(5);
residual(32)= lhs-rhs;
lhs =y(56);
rhs =y(13);
residual(33)= lhs-rhs;
lhs =y(57);
rhs =y(14);
residual(34)= lhs-rhs;
lhs =y(58);
rhs =y(1);
residual(35)= lhs-rhs;
lhs =y(59);
rhs =y(2);
residual(36)= lhs-rhs;
lhs =y(60);
rhs =y(16);
residual(37)= lhs-rhs;
lhs =y(61);
rhs =y(17);
residual(38)= lhs-rhs;
lhs =y(62);
rhs =y(18);
residual(39)= lhs-rhs;
lhs =y(63);
rhs =y(19);
residual(40)= lhs-rhs;
lhs =y(64);
rhs =y(20);
residual(41)= lhs-rhs;
lhs =y(65);
rhs =y(21);
residual(42)= lhs-rhs;
if nargout >= 2,
  g1 = zeros(42, 77);

  %
  % Jacobian matrix
  %

  g1(1,29)=(-(T17*1/params(48)));
  g1(1,31)=T17;
  g1(1,35)=(-T17);
  g1(1,51)=exp(y(51));
  g1(2,26)=exp(y(4)+y(9)+y(26));
  g1(2,4)=exp(y(4)+y(9)+y(26));
  g1(2,29)=exp(y(35)+y(29));
  g1(2,31)=(-exp(y(31)));
  g1(2,33)=exp(y(33));
  g1(2,35)=exp(y(35)+y(29));
  g1(2,9)=exp(y(4)+y(9)+y(26));
  g1(2,36)=(-exp(y(36)));
  g1(2,37)=exp(y(37));
  g1(2,43)=1;
  g1(3,6)=(-((1-params(4))*exp(y(6))));
  g1(3,32)=exp(y(32));
  g1(3,7)=(-(exp(y(33))*T610));
  g1(3,33)=(-(exp(y(33))*T56+exp(y(33))*T622));
  g1(4,24)=(-T75);
  g1(4,29)=(-(exp(y(24))*(1-params(5))*exp(y(29))*getPowerDeriv(exp(y(29)),T65,1)*T556));
  g1(4,31)=exp(y(31));
  g1(4,6)=(-(exp(y(24))*T556*params(5)*exp(y(6))*getPowerDeriv(exp(y(6)),T65,1)));
  g1(5,25)=(-(params(20)*exp(y(32)+y(66)+y(75)-y(69)+y(25))));
  g1(5,26)=(-((1-params(20))*(1-params(25))*exp(y(9)+y(26))));
  g1(5,66)=(-(params(20)*exp(y(32)+y(66)+y(75)-y(69)+y(25))));
  g1(5,29)=exp(y(35)+y(29))*params(19);
  g1(5,32)=(-(params(20)*exp(y(32)+y(66)+y(75)-y(69)+y(25))));
  g1(5,35)=exp(y(35)+y(29))*params(19);
  g1(5,9)=(-((1-params(20))*(1-params(25))*exp(y(9)+y(26))));
  g1(5,36)=exp(y(36));
  g1(5,69)=(-(params(20)*(-exp(y(32)+y(66)+y(75)-y(69)+y(25)))));
  g1(5,75)=(-(params(20)*exp(y(32)+y(66)+y(75)-y(69)+y(25))));
  g1(6,26)=exp(y(35)+y(26)-y(8));
  g1(6,27)=(-exp(y(27)));
  g1(6,8)=(-exp(y(35)+y(26)-y(8)));
  g1(6,35)=exp(y(35)+y(26)-y(8));
  g1(7,26)=(-(exp(y(31))*.5*params(14)*exp(y(26))*2*(exp(y(26))-params(18))));
  g1(7,31)=(-T115);
  g1(7,43)=1;
  g1(8,26)=(-(exp(y(31))*params(14)*exp(y(26))));
  g1(8,31)=(-(exp(y(31))*params(14)*(exp(y(26))-params(18))));
  g1(8,44)=1;
  g1(9,26)=(-((exp(y(26))-params(18))*(-params(14))*exp(y(31)+y(26))+exp(y(31)+y(26))*exp(y(26))*(-params(14))));
  g1(9,31)=(-((exp(y(26))-params(18))*(-params(14))*exp(y(31)+y(26))));
  g1(9,45)=1;
  g1(10,24)=(-(T132*T137+T502));
  g1(10,29)=(-T502);
  g1(10,31)=(-(T132*exp(y(31)-y(29)-y(24))*T500));
  g1(10,34)=exp(y(34));
  g1(11,24)=(-(T143*T147+T508));
  g1(11,30)=exp(y(30));
  g1(11,31)=(-(T143*T575));
  g1(11,6)=(-T508);
  g1(12,24)=(-(T137*T156+T511));
  g1(12,29)=(-T511);
  g1(12,31)=(-(T156*exp(y(31)-y(29)-y(24))*T500+T137*(1-params(5))*(1-params(13))/params(13)*(-exp(y(24)-y(31)))));
  g1(12,47)=1;
  g1(13,24)=(-(T147*T162+T162*T507));
  g1(13,31)=(-(T162*T575+T147*params(5)*(1-params(13))/params(13)*(-exp(y(24)-y(31)))));
  g1(13,6)=(-(T162*T507));
  g1(13,48)=1;
  g1(14,66)=(-(params(3)*(-exp(y(69)+y(28)-y(66)))-(1-params(20))*(1-params(25))*params(3)*(-exp(y(71)-y(66)))));
  g1(14,28)=(-(params(3)*exp(y(69)+y(28)-y(66))));
  g1(14,39)=exp(y(39));
  g1(14,69)=(-(params(3)*exp(y(69)+y(28)-y(66))));
  g1(14,42)=(-exp(y(42)));
  g1(14,71)=(1-params(20))*(1-params(25))*params(3)*exp(y(71)-y(66));
  g1(15,25)=(-(params(20)*exp(y(42)+y(75)+y(66)+y(25)-y(69))));
  g1(15,66)=(-(params(20)*exp(y(42)+y(75)+y(66)+y(25)-y(69))));
  g1(15,67)=(-(params(3)*exp(y(67))*exp(y(69))));
  g1(15,32)=(-(params(3)*exp(y(75))*params(22)*params(21)/(1-params(21))*(-exp(y(68)-y(32)))*getPowerDeriv(exp(y(68)-y(32)),1-params(21),1)));
  g1(15,68)=(-(params(3)*exp(y(75))*params(22)*params(21)/(1-params(21))*exp(y(68)-y(32))*getPowerDeriv(exp(y(68)-y(32)),1-params(21),1)));
  g1(15,69)=(-(params(3)*exp(y(67))*exp(y(69))+params(20)*(-exp(y(42)+y(75)+y(66)+y(25)-y(69)))));
  g1(15,42)=(-(params(20)*exp(y(42)+y(75)+y(66)+y(25)-y(69))));
  g1(15,73)=(-(params(3)*y(74)));
  g1(15,74)=(-(params(3)*y(73)));
  g1(15,52)=exp(y(52));
  g1(15,75)=(-(T200+params(20)*exp(y(42)+y(75)+y(66)+y(25)-y(69))));
  g1(16,7)=(-(exp(y(52))*(T610-(params(47)*(exp(y(33)-y(7))-1)*(-exp(y(33)-y(7)))+exp(y(33)-y(7))*params(47)*(-exp(y(33)-y(7)))))));
  g1(16,33)=(-(exp(y(52))*(T622-(exp(y(33)-y(7))*params(47)*(exp(y(33)-y(7))-1)+exp(y(33)-y(7))*params(47)*exp(y(33)-y(7))))+params(47)*params(3)*exp(y(75)+y(68))*(exp(y(68)-y(33))-1)*(-exp(y(68)-y(33)))+exp(y(68)-y(33))*params(47)*params(3)*exp(y(75)+y(68))*(-exp(y(68)-y(33)))));
  g1(16,68)=(-(exp(y(68)-y(33))*params(47)*params(3)*exp(y(75)+y(68))*(exp(y(68)-y(33))-1)+exp(y(68)-y(33))*(params(47)*params(3)*exp(y(75)+y(68))*(exp(y(68)-y(33))-1)+params(47)*params(3)*exp(y(75)+y(68))*exp(y(68)-y(33)))));
  g1(16,39)=exp(y(39));
  g1(16,52)=(-(exp(y(52))*(T56-exp(y(33)-y(7))*params(47)*(exp(y(33)-y(7))-1))));
  g1(16,75)=(-(exp(y(68)-y(33))*params(47)*params(3)*exp(y(75)+y(68))*(exp(y(68)-y(33))-1)));
  g1(17,34)=exp(y(34)+y(39));
  g1(17,35)=(-(exp(y(35)+y(39))+params(19)*exp(y(35)+y(42))));
  g1(17,39)=exp(y(34)+y(39))-exp(y(35)+y(39));
  g1(17,42)=(-(params(19)*exp(y(35)+y(42))));
  g1(17,46)=(-y(47));
  g1(17,47)=(-y(46));
  g1(18,26)=(-(y(44)*exp(y(26)+y(39))));
  g1(18,39)=(-(y(44)*exp(y(26)+y(39))));
  g1(18,69)=(-(exp(y(69))*params(3)*y(72)));
  g1(18,44)=(-exp(y(26)+y(39)));
  g1(18,72)=(-(params(3)*exp(y(69))));
  g1(18,46)=1;
  g1(19,26)=(-exp(y(4)+y(9)+y(26)));
  g1(19,4)=(-exp(y(4)+y(9)+y(26)));
  g1(19,29)=(-exp(y(35)+y(29)));
  g1(19,35)=(-exp(y(35)+y(29)));
  g1(19,9)=(-exp(y(4)+y(9)+y(26)));
  g1(19,36)=exp(y(36));
  g1(19,38)=exp(y(38));
  g1(20,66)=(-(params(2)*(-exp(y(28)-y(66)+y(70)))));
  g1(20,28)=(-(params(2)*exp(y(28)-y(66)+y(70))));
  g1(20,40)=exp(y(40));
  g1(20,70)=(-(params(2)*exp(y(28)-y(66)+y(70))));
  g1(21,29)=(-(params(1)*exp(y(29)/params(48)+y(38))*1/params(48)));
  g1(21,38)=(-(params(1)*exp(y(29)/params(48)+y(38))));
  g1(21,41)=exp(y(41));
  g1(22,35)=(-1);
  g1(22,41)=1;
  g1(23,3)=(-0.104375);
  g1(23,26)=(-0.104375);
  g1(23,31)=(-0.015625);
  g1(23,10)=(-.75);
  g1(23,49)=1;
  g1(23,11)=(-0.104375);
  g1(23,12)=(-0.104375);
  g1(23,15)=0.015625;
  g1(24,28)=1;
  g1(24,49)=(-1);
  g1(25,1)=(-params(27));
  g1(25,24)=1;
  g1(25,2)=(-params(32));
  g1(25,76)=(-1);
  g1(25,16)=(-params(28));
  g1(25,17)=(-params(33));
  g1(25,18)=(-params(29));
  g1(25,19)=(-params(34));
  g1(25,20)=(-params(30));
  g1(25,21)=(-params(35));
  g1(25,22)=(-params(31));
  g1(25,23)=(-params(36));
  g1(26,1)=(-params(42));
  g1(26,2)=(-params(37));
  g1(26,25)=1;
  g1(26,77)=(-1);
  g1(26,16)=(-params(43));
  g1(26,17)=(-params(38));
  g1(26,18)=(-params(44));
  g1(26,19)=(-params(39));
  g1(26,20)=(-params(45));
  g1(26,21)=(-params(40));
  g1(26,22)=(-params(46));
  g1(26,23)=(-params(41));
  g1(27,37)=(-exp(y(37)));
  g1(27,38)=(-exp(y(38)));
  g1(27,50)=exp(y(50));
  g1(28,37)=1;
  g1(28,39)=1;
  g1(29,38)=1;
  g1(29,40)=1;
  g1(30,3)=(-1);
  g1(30,53)=1;
  g1(31,11)=(-1);
  g1(31,54)=1;
  g1(32,5)=(-1);
  g1(32,55)=1;
  g1(33,13)=(-1);
  g1(33,56)=1;
  g1(34,14)=(-1);
  g1(34,57)=1;
  g1(35,1)=(-1);
  g1(35,58)=1;
  g1(36,2)=(-1);
  g1(36,59)=1;
  g1(37,16)=(-1);
  g1(37,60)=1;
  g1(38,17)=(-1);
  g1(38,61)=1;
  g1(39,18)=(-1);
  g1(39,62)=1;
  g1(40,19)=(-1);
  g1(40,63)=1;
  g1(41,20)=(-1);
  g1(41,64)=1;
  g1(42,21)=(-1);
  g1(42,65)=1;
end
if nargout >= 3,
  %
  % Hessian matrix
  %

  g2 = sparse([],[],[],42,5929);
end
if nargout >= 4,
  %
  % Third order derivatives
  %

  g3 = sparse([],[],[],42,456533);
end
end
