%% steady state
z     = 0;
mk    = log(MKBAR);
Pi    = log(PIBAR);

R     = Pi-log(BETA);
n     = log(0.3);
fk    = log((1-MKBAR*exp(Pi)*(1-GAMMA/BETA)*RHOB/(1-(1-RHOB)*(1-AB)*GAMMA/exp(Pi))-GAMMA*(1-DELTA))/GAMMA);
[expa,fval] = fsolve(@(x)ykfun(x,fk,PHI,SIGMA,n,ETA),[-1 -1]);
y     = expa(1);
k     = expa(2);
Y=y; K=k;

x     = log(DELTA)+k;
fn    = log(1-PHI)+(y-n)/SIGMA-log(ETA);
wp    = fn+log(1/(1+WC*(1-GAMMA/BETA)/(1-(1-RHOB)*(1-AB)*GAMMA/exp(Pi))));

bp    = log((RHOB*MKBAR*exp(Pi)*exp(k)-WC*exp(wp+n))/(1-(1-RHOB)*(1-AB)*exp(Pi)));
ce    = log(exp(y)+(1-exp(R+Pi))*exp(bp)-exp(x)-exp(wp+n));
ch    = log((exp(R+Pi)-1)*exp(bp)+exp(wp+n));
ALPHA = exp(wp-ch-n/CHI);

mrs   = wp;
mu    = log((1-GAMMA/BETA)/(1-GAMMA*(1-RHOB)*(1-AB)/exp(Pi))/exp(ce));
Piw   = Pi;
trule = R;
W     = wp;
c     = log(exp(ch)+exp(ce));
