%% deepness
hyp  = regcyc(y_p);
hyp  = hyp(~isnan(hyp));
[skewhyp testhyp sehyp pvalhyp]=BaiNgTest(hyp);
hyl  = regcyc(y_l);
hyl  = hyl(~isnan(hyl));
[skewhyl testhyl sehyl pvalhyl]=BaiNgTest(hyl);
hnp  = regcyc(n_p);
hnp  = hnp(~isnan(hnp));
[skewhnp testhnp sehnp pvalhnp]=BaiNgTest(hnp);
hnl  = regcyc(n_l);
hnl  = hnl(~isnan(hnl));
[skewhnl testhnl sehnl pvalhnl]=BaiNgTest(hnl);
hxp  = regcyc(x_p);
hxp  = hxp(~isnan(hxp));
[skewhxp testhxp sehxp pvalhxp]=BaiNgTest(hxp);
hxl  = regcyc(x_l);
hxl  = hxl(~isnan(hxl));
[skewhxl testhxl sehxl pvalhxl]=BaiNgTest(hxl);
hcp  = regcyc(c_p);
hcp  = hcp(~isnan(hcp));
[skewhcp testhcp sehcp pvalhcp]=BaiNgTest(hcp);
hcl  = regcyc(c_l);
hcl  = hcl(~isnan(hcl));
[skewhcl testhcl sehcl pvalhcl]=BaiNgTest(hcl);

%% steepness
iy_p=(1+y_p)*exp(y);
iy_l=(1+y_l)*exp(y);
in_p=(1+n_p)*exp(n);
in_l=(1+n_l)*exp(n);
ix_p=(1+x_p)*exp(x);
ix_l=(1+x_l)*exp(x);
ic_p=(1+c_p)*exp(c);
ic_l=(1+c_l)*exp(c);
imk_p=(1+mk_p)*exp(mk);
itfp_p=(1+z_p);

for i=1:length(iy_p)-4;
    gy_p(i,:)=iy_p(i+4,:)/iy_p(i,:)-1;
    gy_l(i,:)=iy_l(i+4,:)/iy_l(i,:)-1;
    gn_p(i,:)=in_p(i+4,:)/in_p(i,:)-1;
    gn_l(i,:)=in_l(i+4,:)/in_l(i,:)-1;
    gx_p(i,:)=ix_p(i+4,:)/ix_p(i,:)-1;
    gx_l(i,:)=ix_l(i+4,:)/ix_l(i,:)-1;
    gc_p(i,:)=ic_p(i+4,:)/ic_p(i,:)-1;
    gc_l(i,:)=ic_l(i+4,:)/ic_l(i,:)-1;
    gmk_p(i,:)=imk_p(i+4,:)/ic_p(i,:)-1;
    gtfp_p(i,:)=itfp_p(i+4,:)/itfp_p(i,:)-1;
end;

[skewgyp testgyp segyp pvalgyp]=BaiNgTest(gy_p);
[skewgyl testgyl segyl pvalgyl]=BaiNgTest(gy_l);
[skewgnp testgnp segnp pvalgnp]=BaiNgTest(gn_p);
[skewgnl testgnl segnl pvalgnl]=BaiNgTest(gn_l);
[skewgxp testgxp segxp pvalgxp]=BaiNgTest(gx_p);
[skewgxl testgxl segxl pvalgxl]=BaiNgTest(gx_l);
[skewgcp testgcp segcp pvalgcp]=BaiNgTest(gc_p);
[skewgcl testgcl segcl pvalgcl]=BaiNgTest(gc_l);